from ..core import InstanceKey, InstanceReference, TenantReference

class Oms:
	def __init__(self):
		pass

	def get_instance_by_key(self, key : InstanceKey):
		pass

	def get_instances(self, of_class : InstanceReference = None):
		pass

	def get_tenant_by_name(self, tenant_name : str) -> TenantReference:
		pass
